import request from "@/scripts/httpRequest";

//进出入统计
//ElasticSearchArg :es查询参数
export const statisticsInAndOut = (query: any) => {
  return request({
    url: "/data/api-p/platform/elasticSearch/statisticsInAndOut",
    method: "post",
    data: query
  });
};

//实时报警任务数量比
export const realTimeCapture = (query: any) => {
  return request({
    url: "/data/api-p/platform/elasticSearch/realTimeCapture",
    method: "post",
    data: query
  });
};

//综合统计    ----2
export const statisticsComprehensive = (query: any) => {
  return request({
    url: "/data/api-p/platform/elasticSearch/statisticsComprehensive",
    method: "post",
    data: query
  });
};


//综合统计   ----1
export const realTimeAlarmTaskRate = (query: any) => {
  return request({
    url: "/data/api-p/platform/elasticSearch/realTimeAlarmTaskRate",
    method: "post",
    data: query
  });
};


//实时抓拍
export const add = (query: any) => {
  return request({
    url: "/data/api-v/platform/add",
    method: "post",
    data: query
  });
};
